package com.citygis;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.util.Arrays;

/**
 * 启动程序
 * 
 * @author citygis
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
//@MapperScan("com.citygis.web.mapper")
@EnableScheduling
public class LiuTongYiApplication
{
    public static void main(String[] args)
    {
           // System.setProperty("spring.devtools.restart.enabled", "false");
           SpringApplication.run(LiuTongYiApplication.class, args);
           System.out.println("六统一启动成功");
    }

    @Bean
    public CommandLineRunner commandLineRunner(ApplicationContext ctx) {
        return args -> {
            System.out.println("Let's inspect the beans provided by Spring Boot:");

            String[] beanNames = ctx.getBeanDefinitionNames();
            Arrays.sort(beanNames);
            for (String beanName : beanNames) {
                System.out.println(beanName);
            }

            // 检查 MonitorTask 是否被注册
//            MonitorTask monitorTask = ctx.getBean(MonitorTask.class);
//            System.out.println("MonitorTask bean found: " + monitorTask);
        };
    }
}
