package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 告警渠道表
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("SYS_WARNING_CHANNEL")
@ApiModel(value = "SysWarningChannel对象", description = "告警渠道表")
public class SysWarningChannel extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "告警渠道ID/告警标识符")
    @TableField("ALERT_ID")
    @TableId(value = "ALERT_ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long alertId;

    @ApiModelProperty(value = "渠道/标识符名称")
    @TableField("ALERT_NAME")
    private String alertName;

    @ApiModelProperty(value = "告警方式：0-短信，1-邮件，2-kafka")
    @TableField("TYPE")
    private Integer type;

    @ApiModelProperty(value = "渠道源IP")
    @TableField("SOURCE_IP")
    private String sourceIp;

    @ApiModelProperty(value = "渠道源端口")
    @TableField("SOURCE_PORT")
    private String sourcePort;

    @ApiModelProperty(value = "渠道源topic名称")
    @TableField("SOURCE_TOPIC")
    private String sourceTopic;

    @ApiModelProperty(value = "部门ID")
    @TableField("DEPT_ID")
    private Long deptId;

    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "是否删除：0未删除，1已删除")
    @TableField("IS_DEL")
    private Integer isDel;

}
