package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.annotation.Excel;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 告警检查项实例表
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("SYS_WARNING_CHECK_INSTANCE")
@ApiModel(value = "SysWarningCheckInstance对象", description = "告警检查项实例表")
public class SysWarningCheckInstance extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name = "检查项唯一标识")
    @ApiModelProperty(value = "检查项唯一标识")
    @TableField("CHECK_ID")
    @TableId(value = "CHECK_ID", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer checkId;

    @Excel(name = "告警项/检查项名称")
    @ApiModelProperty(value = "告警项/检查项名称")
    @TableField("CHECK_NAME")
    private String checkName;

    @Excel(name = "告警对象名称")
    @ApiModelProperty(value = "告警对象名称")
    @TableField("TARGET_NAME")
    private String targetName;

    @Excel(name = "告警对象类型")
    @ApiModelProperty(value = "备注/告警详情，如表数据不一致的描述")
    @TableField("DESCRIPTION")
    private String description;

    @Excel(name = "告警等级")
    @ApiModelProperty(value = "告警等级")
    @TableField("LEVEL")
    private String level;

    @Excel(name = "指标值/阈值")
    @ApiModelProperty(value = "指标值/阈值")
    @TableField("THRESHOLD")
    private Integer threshold;

    @ApiModelProperty(value = "部门ID")
    @TableField("DEPT_ID")
    private Long deptId;

    @ApiModelProperty(value = "告警对象ID")
    @TableField("TARGET_ID")
    private String targetId;

    @ApiModelProperty(value = "执行ID")
    @TableField("EXECUTE_ID")
    private Long executeId;

    @ApiModelProperty(value = "任务ID")
    @TableField("JOB_ID")
    private Long jobId;

    @ApiModelProperty(value = "告警渠道ID/告警标识符")
    @TableField("ALERT_ID")
    private Long alertId;

    @ApiModelProperty(value = "告警用户组ID")
    @TableField("ALERT_USER_GROUP_ID")
    private Long alertUserGroupId;

    @TableField("USER_ID")
    private Long userId;

    @Excel(name = "是否启用：0停用，1启用", readConverterExp = "0=停用,1=启用")
    @ApiModelProperty(value = "是否启用：0停用，1启用")
    @TableField("IS_APPLY")
    private Integer isApply;

    @ApiModelProperty(value = "是否删除：0未删除，1已删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @TableField(exist = false)
    private List<Long> checkIds;

    @TableField(exist = false)
    private String cron;


}
