package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 告警执行表
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("SYS_WARNING_EXECUTE")
@ApiModel(value = "SysWarningExecute对象", description = "告警执行表")
public class SysWarningExecute extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "执行ID")
    @TableField("EXECUTE_ID")
    @TableId(value = "EXECUTE_ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long executeId;

    @ApiModelProperty(value = "指标执行名称")
    @TableField("EXECUTE_NAME")
    private String executeName;

    @ApiModelProperty(value = "JDBC_URL/数据源地址")
    @TableField("SOURCE_ID")
    private String sourceId;

    @ApiModelProperty(value = "监控执行语句 (SQL)")
    @TableField("EXECUTE_SQL")
    private String executeSql;

    @ApiModelProperty(value = "时间窗口")
    @TableField("TIME_WINDOW")
    private String timeWindow;

    @ApiModelProperty(value = "指标分类：0-原子，1-组合")
    @TableField("CATEGORY")
    private Integer category;

    @ApiModelProperty(value = "单位")
    @TableField("UNIT")
    private String unit;

    @ApiModelProperty(value = "描述")
    @TableField("DESCRIPTION")
    private String description;

    @ApiModelProperty(value = "部门ID")
    @TableField("DEPT_ID")
    private Long deptId;

    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "是否删除：0未删除，1已删除")
    @TableField("IS_DEL")
    private Integer isDel;


}
