package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.annotation.Excel;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 系统告警日志表
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("SYS_WARNING_LOG")
@ApiModel(value = "SysWarningLog对象", description = "系统告警日志表")
public class SysWarningLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name = "日志唯一标识")
    @ApiModelProperty(value = "日志唯一标识")
    @TableField("LOG_ID")
    @TableId(value = "LOG_ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long logId;

    @Excel(name = "告警对象名称")
    @ApiModelProperty(value = "告警对象名称")
    @TableField("TARGET_NAME")
    private String targetName;

    @Excel(name = "告警对象类型")
    @ApiModelProperty(value = "检查项唯一标识")
    @TableField("CHECK_ID")
    private Integer checkId;

    @Excel(name = "检查项名称")
    @ApiModelProperty(value = "检查项名称")
    @TableField("CHECK_NAME")
    private String checkName;

    @Excel(name = "告警详情描述")
    @ApiModelProperty(value = "告警详情描述")
    @TableField("DESCRIPTION")
    private String description;

    @Excel(name = "告警等级")
    @ApiModelProperty(value = "告警等级")
    @TableField("LEVEL")
    private String level;

    @Excel(name = "告警发生时间")
    @ApiModelProperty(value = "告警发生时间")
    @TableField("CREATE_TIME")
    private Date createTime;

    @Excel(name = "告警唯一标识")
    @ApiModelProperty(value = "告警唯一标识")
    @TableField("ALERT_ID")
    private Long alertId;

    @TableField(exist = false)
    private List<Long> logIds;

}
