package com.citygis.web.service.impl;

import cn.hutool.core.lang.Snowflake;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.citygis.common.annotation.DataScope;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.SysWarningLog;
import com.citygis.web.mapper.SysWarningLogMapper;
import com.citygis.web.service.ISysWarningLogService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 系统告警日志表 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
@Service
public class SysWarningLogServiceImpl extends ServiceImpl<SysWarningLogMapper, SysWarningLog> implements ISysWarningLogService {


    @Transactional
    @Override
    public AjaxResult addSysWarningLog(SysWarningLog sysWarningLog) {
        Snowflake snowflake = new Snowflake(1, 1);
        sysWarningLog.setLogId(snowflake.nextId());
        boolean b = this.save(sysWarningLog);
        if (b) {
            return AjaxResult.success("添加成功");
        } else {
            return AjaxResult.error("添加失败");
        }
    }

    @DataScope(deptAlias = "swl", userAlias = "swl")
    @Override
    public List<SysWarningLog> getSysWarningLogList(SysWarningLog sysWarningLog) {
        return baseMapper.getSysWarningLogList(sysWarningLog);
    }

    @Override
    public AjaxResult getSysWarningLogDetailById(Long id) {
        SysWarningLog byId = this.getById(id);
        if (byId == null) {
            return AjaxResult.error("查询失败");
        }
        return AjaxResult.success(byId);
    }
}
