package com.citygis.web.task;

import cn.hutool.core.lang.Snowflake;
import com.citygis.common.annotation.DataSource;
import com.citygis.common.enums.DataSourceType;
import com.citygis.web.domain.TabDatalog;
import com.citygis.web.domain.TabKbListenResult;
import com.citygis.web.mapper.TabDatalogMapper;
import com.citygis.web.service.ITabKbListenResultService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author: zyl
 * @CreateTime: 2025-03-12
 * @Description: 库表监听
 * @Version: 1.0
 */
@DataSource(DataSourceType.SLAVE)
@Component("kbListenTask")
public class KBListenTask {

    @Resource
    TabDatalogMapper tabDatalogMapper;

    @Resource
    ITabKbListenResultService tabKbListenResultService;

    public void insertTabKbListenResult() {

        List<TabKbListenResult> tabKbListenResultList = new ArrayList<>();

        Snowflake snowflake = new Snowflake(1, 1);

        List<TabDatalog> dataByThatDay = tabDatalogMapper.getDataByThatDay();

        dataByThatDay.forEach(tabDatalog -> {
            TabKbListenResult tabKbListenResult = new TabKbListenResult();

            tabKbListenResult.setId(snowflake.nextId());
            tabKbListenResult.setSystemName(tabDatalog.getSystemName());
            tabKbListenResult.setTableName(tabDatalog.getTableName());
            tabKbListenResult.setTableEnglishName(tabDatalog.getTableEnglishName());
            tabKbListenResult.setNum(tabDatalog.getNum());
            tabKbListenResult.setCreateTime(new Date());

            tabKbListenResultList.add(tabKbListenResult);
        });

        tabKbListenResultService.saveBatch(tabKbListenResultList);

    }

}
